Subject: bug#35680: closed (Re: [bug#35680] [PATCH] Update Neovim to version 0.3.5)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 May 2019 07:34:02 +0000

Your bug report

#35680: [PATCH] Update Neovim to version 0.3.5

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35680: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35680
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#35680] [PATCH] Update Neovim to version 0.3.5
From: Arun Isaac <[email-masked]>
To: HiPhish <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 May 2019 13:03:21 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks! I've pushed the patch with the following modifications.

- I changed the commit message to conform to our conventions. (Hint: If
  you're using emacs, you can generate this commit message easily using
  the yasnippets provided under etc/snippets in the Guix source tree.
- I changed the source to use git-fetch. GitHub's autogenerated source
  tarballs are unstable, and we should prefer git-fetch in such
  cases. Notice that `guix lint' also warns of this.
- I added a copyright header for you.

Subject: [PATCH] Update Neovim to version 0.3.5
From: HiPhish <[email-masked]>
To: [email-masked]
Date: Sat, 11 May 2019 00:01:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch updates Neovim to the current version. As a side note, there is a 
TODO from the previous definition to remove an in-place patching when the 
package definition gets updated; the fix is not in 0.3.5, so I have not removed 
this part of the defintion on purpose, it is not an oversight.

>From 2f68bfe42593dfd03338c76c6a0b9ea8eb217fc1 Mon Sep 17 00:00:00 2001
From: HiPhish <[email-masked]>
Date: Fri, 10 May 2019 23:36:47 +0200
Subject: [PATCH] * gnu/packages/vim.scm (neovim): Update to v0.3.5.

---
 gnu/packages/vim.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index dadffa3ab1..b2fd6cac99 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -729,7 +729,7 @@ are detected, the user is notified.")))
 (define-public neovim
   (package
     (name "neovim")
-    (version "0.3.4")
+    (version "0.3.5")
     (source
      (origin
        (method url-fetch)
@@ -738,7 +738,7 @@ are detected, the user is notified.")))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "03mwfhr9rq86p8lypbdfyl7c7xyn6nzv2ipd8jc33bxzvs5i0hd6"))))
+         "1min68r4rnyfly9j86szkx7gkj4924vbc74hg17j2crijr1h1cxq"))))
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((srfi srfi-26)
-- 
2.19.1